Loading...
Searching...
No Matches
RDKit::MolAlign::MolAlignException Class Reference

`#include <AlignMolecules.h>`

Inheritance diagram for RDKit::MolAlign::MolAlignException:

## Public Member Functions

| MolAlignException (const char *msg)
| construct with an error message
| MolAlignException (const std::string msg)
| construct with an error message
const char * | what () const noexcept override
| get the error message
| ~MolAlignException () noexcept override=default

## Detailed Description

Definition at line 24 of file AlignMolecules.h.

## Constructor & Destructor Documentation

## MolAlignException() [1/2]

RDKit::MolAlign::MolAlignException::MolAlignException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 27 of file AlignMolecules.h.

## MolAlignException() [2/2]

RDKit::MolAlign::MolAlignException::MolAlignException | ( | const std::string | msg | ) |

inline

construct with an error message

Definition at line 29 of file AlignMolecules.h.

## ~MolAlignException()

RDKit::MolAlign::MolAlignException::~MolAlignException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::MolAlign::MolAlignException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 31 of file AlignMolecules.h.

The documentation for this class was generated from the following file:

- AlignMolecules.h